
public item_injection_drain(parm[1])
{
	static id,bool:task_removed;
	new health;
	
	id=parm[0];
	health=get_user_health(id);
	
	
	if((health == 1) || (!is_user_alive(id)) || (g_event_freeze_time) || (g_event_round_end))
	{
		remove_task(BLEACH_TASK_INJECTION + id,0);
		task_removed=true;
	}
	else if(health > 1)
	{
		set_user_health(id,health-1);
	}

	
	if((task_removed) || (health <= g_player_max_health[id]))
	{
		g_player_item_in_use[id]=false;
	}
}

public item_injection(id)
{
	if(!is_user_alive(id)) return PLUGIN_CONTINUE;
	
	static task,health,parm[1];
	
	task = BLEACH_TASK_INJECTION + id;
	remove_task(task,0);
	
	health=get_user_health(id);
	parm[0] = id;
	
	set_user_health(id,health+50);
	g_player_item_in_use[id]=true;
		
	set_task(2.0,"item_injection_drain",task,parm,1,"a",50);
	
	g_player_item[id]=0;
	
	return PLUGIN_CONTINUE;
}
